<?php 
/* Template Name: Gallery */
$gallery_dtl = list_ocmx_galleries();
$upload_dir = wp_upload_dir();
get_header(); ?>
<div class="post transparent-container">
    <div class="content clearfix">
        <h3 class="post-title use-cufon"><?php the_title(); ?></h3>
         <?php if($post->post_content !== "") : ?>
            <div class="gallery-description">
                <?php the_content(); ?>
            </div>
        <?php endif; ?>
        <ul class="portfolio-list">
			<?php foreach($gallery_dtl as $gallery_list) : ?>
                <li>
                    <?php $gallery_id = $gallery_list->menuId;
                    $default_image = fetch_ocmx_gallery_default($gallery_id);
                    $this_image = $upload_dir["baseurl"]."/ocmx-gallery/small/".$default_image[0]->Image; ?>
                    
                    <a href="<?php echo get_gallery_link($gallery_list); ?>" target="_self" class="portfolio-image">
			            <span><img src="<?php echo $this_image; ?>" border="0" alt="<?php echo $gallery_list->Item; ?>" /></span>
                    </a>
                    
                    <h4>
                    	<a href="<?php echo get_gallery_link($gallery_list); ?>">
							<?php echo $gallery_list->Item; ?>
						</a>
					</h4>
                    
					<?php if($gallery_list->Description !== "NULL" && $gallery_list->Description !== "") : ?>
                        <p><?php echo $gallery_list->Description; ?></p>
                    <?php endif;?>
                    
                </li>
            <?php endforeach; ?>
        </ul>
	</div>
</div>
<?php get_footer(); ?>