<?php get_header(); ?>
<?php if(get_option("ocmx_home_page_layout") == "widget") :
		if (function_exists('dynamic_sidebar') && is_home() && !is_paged()) : dynamic_sidebar(1); endif;
		if (function_exists('dynamic_sidebar') && is_home() && !is_paged()) : dynamic_sidebar(2); endif;
elseif(get_option("ocmx_home_page_layout") == "biz") : ?>
	<?php
		/* FEATURE WIDGET */
		$feature_posts_widget = new feature_posts_widget();
		$args = array("name" => "Home Page Widget", "id" => "home-page-widget");
		$instance = array("post_category" => get_option("ocmx_feature_post_cat"));
		$feature_posts_widget->widget($args, $instance);
		
		/* THREE BLOCK WIDGET */
		$three_block_widget = new three_block_widget();
		$args = array("name" => "Home Page Three Block Widget", "id" => "three-block-page-widget");
		$instance = array("left_page" => get_option("ocmx_left_home_screen"), "middle_page" => get_option("ocmx_middle_home_screen"), "right_page" => get_option("ocmx_right_home_screen"));
		$three_block_widget->widget($args, $instance);
			
		/* HOME PAGE BLOG WIDGET */
		$home_page_posts_widget = new home_page_posts_widget();
		$args = array("name" => "Home Page Blog Widget", "id" => "home-page-blog-widget");
		$instance = array("left_post_category" => get_option("ocmx_left_blog_category"), "right_post_category" => get_option("ocmx_right_blog_category"), "post_count" => 5);
		$home_page_posts_widget->widget($args, $instance); ?>
		
<?php else : 
	if (function_exists('dynamic_sidebar') && is_home() && !is_paged()) : dynamic_sidebar(1); endif; ?>
    <div id="left-column" class="clearfix">
        <ul class="blog-main-post-container">
            <?php /* Custom OCMX Category + Paging */
            rewind_posts();
            if(get_option("ocmx_home_page_categories") && get_option("ocmx_home_page_categories") !== 0):
                $use_catid = get_option("ocmx_home_page_categories");
                $fetch_category = get_category_by_slug($use_catid);
                $use_category = "cat=".$fetch_category->term_id."&";
            else :
                $use_category = "";
            endif;
            if (is_paged()) :
                query_posts($use_category ."showposts=".get_option("ocmx_home_page_posts")."&paged=".get_query_var('paged'));
            elseif (is_home()) :
                query_posts($use_category."showposts=".get_option("ocmx_home_page_posts"));
            endif;
            if (have_posts()) :
                while (have_posts()) :	the_post(); 			
                    setup_postdata($post);	
                    $this_post = get_post($post->ID);
                    $show_excerpt = "1";
                    include(get_template_directory()."/functions/fetch-list.php");
                endwhile;
            else: 
                ocmx_no_posts();
            endif; ?>	
        </ul>
        
        <?php ocmx_pagination("page_button_content transparent-container", "clearfix"); ?>
        
    </div>
    
    <?php get_sidebar(); ?>
<?php endif; ?>

<?php get_footer(); ?>