/* clearTimeOut Keeps the Menu Open */
clearTimeOut = 0;
// Keep the Menu Open if we're highlighting a sub-menu item
function keep_open()
	{clearTimeOut = 0;}
// Begin the closing procedure with a countdown
function close_menu(id)
	{
		clearTimeOut = 1;
		temp_timeout = setTimeout("close_menu_final('"+id+"');", 500);
	}
// Do the final menu clearing
function close_menu_final(id)
	{
		// Check whether or not we've scrolled over a menu item
		if(clearTimeOut == 1 && (id.indexOf("sub-menu-") > -1 || id.indexOf("sub-page-menu-") > -1))
			{
				use_id = "#"+id;
				jQuery(use_id).parent().children(".active").removeClass("active")
				jQuery(use_id).slideUp({duration: 150});
			}
	}

jQuery(function(){jQuery("a[rel=lightbox]").lightBox();});
jQuery(document).ready(function()
	{
		jQuery(document).ready(function() {jQuery('ul#nav').superfish();});

		jQuery.current_feature = 1;
		jQuery("a[id^='feature-href-']").click(function(){
			//Fetch id
			use_id = jQuery(this).attr("id").replace("feature-href-", "");

			//Set selectors for the "old" feature element
			old_copy_id = "#feature-copy-"+jQuery.current_feature;
			old_href_id = "#feature-li-"+jQuery.current_feature;

			//Set selectors for the "new" feature element
			new_copy_id = "#feature-copy-"+use_id;
			new_href_id = "#feature-li-"+use_id;

			//Switch li class and fade out old feature element
			jQuery(old_href_id).removeClass("active");
			jQuery(old_copy_id).fadeOut({duration: 50});

			//Switch li class and fade in new feature element
			jQuery(new_href_id).addClass("active");
			setTimeout(function(){jQuery(new_copy_id).fadeIn({duration: 400});}, 260);

			Cufon.replace('.date-container');

			jQuery.current_feature = use_id;
			return false;
		});


		jQuery("a[id^='widget-next-gallery-']").click(function(){
			move_by = 859;
			use_id = jQuery(this).attr("id").replace("widget-next-gallery-", "");
			thumbid = "#widget-galley-list-"+use_id;
			slideFrame(thumbid,  move_by, 0, "left");
			return false;
		});

		jQuery("a[id^='widget-prev-gallery-']").click(function(){
			move_by = 859;
			use_id = jQuery(this).attr("id").replace("widget-prev-gallery-", "");
			thumbid = "#widget-galley-list-"+use_id;
			slideFrame(thumbid,  move_by, 1, "left");
			return false;
		});

		/********/
		/* Menu */
		jQuery.open_menu = 0;
		jQuery("a[id^='main-menu-item-']").mouseover(function(){
			// Start the timeout to keep the menu open
			keep_open()
			// Create the id to ref the submenu
			jQuery(".active").removeClass("active");
			jQuery(this).addClass("active");
			sub_menu_id = jQuery(this).attr("id").replace("main-menu-item-", "");
			id = "sub-menu-"+sub_menu_id;

			new_sub_menu = "#"+id;
			if(jQuery.open_menu !== new_sub_menu)
				{jQuery(".sub_menu").slideUp("fast");}

			if(document.getElementById(id))
				{
					// fade in the submenu
					jQuery(new_sub_menu).addClass("sub_menu").slideDown({duration: 100});
					jQuery.open_menu = new_sub_menu;
				}
		});

		jQuery("a[id^='main-menu-page-item-']").mouseover(function(){
			// Start the timeout to keep the menu open
			keep_open()
			// Create the id to ref the submenu
			jQuery(".active").removeClass("active");
			jQuery(this).addClass("active");

			sub_menu_id = jQuery(this).attr("id").replace("main-menu-page-item-", "");
			id = "sub-page-menu-"+sub_menu_id;
			new_sub_menu = "#"+id;

			if(jQuery.open_menu !== new_sub_menu)
				{jQuery(".sub_menu").slideUp("fast");}

			if(document.getElementById(id))
				{
					// fade in the submenu
					jQuery(new_sub_menu).addClass("sub_menu").slideDown({duration: 100});
					jQuery.open_menu = new_sub_menu;
				}
		});

		jQuery("[id^='sub-menu-'], [id^='sub-page-menu-']").mouseover(function(){
			// Start the timeout to keep the menu open
			use_id = jQuery(this).attr("id").replace("sub-menu-", "");
			use_id = use_id.replace("sub-page-menu-", "");
			main_menu_id = "#main-menu-item-"+use_id+", #main-menu-page-item-"+use_id;
			jQuery(main_menu_id).addClass("active");

			keep_open()
		});

		jQuery("[id^='sub-menu-'], [id^='main-menu-item-'], [id^='sub-page-menu-'], [id^='main-menu-page-item-']").mouseout(function(){
			// Create the id to ref the submenu
			sub_menu_id = jQuery(this).attr("id");
			jQuery(".active").removeClass("active");
			if(sub_menu_id.indexOf("main-menu-item-") > -1)
				{sub_menu_id = sub_menu_id.replace("main-menu-item-", "sub-menu-");}
			else if(sub_menu_id.indexOf("main-menu-page-item-") > -1)
				{sub_menu_id = sub_menu_id.replace("main-menu-page-item-", "sub-page-menu-");}
			// Start the cloding process
			close_menu(sub_menu_id);
		});

		jQuery("a").mouseout(function(){
			// Create the id to ref the submenu
			sub_menu_id = jQuery(this).attr("id").replace("main-menu-page-item-", "");
			// Start the cloding process
			close_menu(sub_menu_id);
		});

		/*******************/
		/* Gloss Comments */
		jQuery("#commentform").submit(function(){return false;});
		jQuery("#comment_jump").click(function(){
			setTimeout(function(){jQuery("html").animate({scrollTop: jQuery("#comment_anchor").offset().top}, 1000);}, 500);
			return false;
		});
		jQuery("#comment_submit").bind("click", function(){
			// Compile the request location
			post_page = ThemeAjax.ajaxurl;

			// Compile all the request details
			author = jQuery("#author").attr("value");
			email = jQuery("#email").attr("value");
			url = jQuery("#url").attr("value");
			comment = jQuery("#comment").attr("value");
			twitter = jQuery("#twitter").attr("value");
			email_subscribe = jQuery("#email_subscribe").attr("checked");
			post_id = jQuery("#comment_post_id").attr("value");
			comment_parent_id = jQuery("#comment_parent_id").attr("value");

			// Set which area the new comment will end up in
			if(comment_parent_id !== "0" && comment_parent_id !== "")
				{new_comments_id = "#new-reply-"+comment_parent_id;}
			else
				{new_comments_id = "#new_comments";}

			// Fade out the new comment div so that we can fade it in after posting our new comment
			jQuery("#commment-post-alert").fadeIn("slow");

			// Perform the "Magic" which is just a bit of Ajax
			jQuery.post(post_page,
				{action : 'ocmx_comment-post', author: author, email: email, url: url, twitter: twitter, email_subscribe: email_subscribe, comment: comment, comment_post_id: post_id, comment_parent: comment_parent_id},
				function(data) {
					if(jQuery.browser.msie)
						{location.reload();}
					else
						{jQuery(new_comments_id).html(jQuery(new_comments_id).html()+" "+data).fadeIn("slow");}
					jQuery("#commment-post-alert").fadeOut("fast");
					jQuery("#comment").attr("value", "");
			});
			return false;
		});

		jQuery("a[id^='reply-']").bind("click", function(){
			// Create the Comment Id and apply it to the comment form
			comment_id = jQuery(this).attr("id").replace("reply-", "");

			// Set which href we're dealing with
			href_id = "#reply-"+comment_id;

			//Set where exactly the comment form will end up
			new_location_id = "#form-placement-"+comment_id;

			//Create the Id for the new placement of the comment Form and put it there
			if(jQuery(new_location_id).html().toString().indexOf("Post") == -1)
				{
					jQuery("#comment_form_container").remove().appendTo(new_location_id);
					jQuery(new_location_id).fadeIn("slow");
					jQuery("#comment_parent_id").attr("value", comment_id);
					// Change href to Cancel
					jQuery(href_id).html("Cancel");
				}
			else
				{
					jQuery(new_location_id).fadeOut("fast");
					jQuery("#comment_form_container").remove().appendTo("#original_comment_location");
					jQuery("#comment_parent_id").attr("value", "0");
					// Change href back to Reply
					jQuery(href_id).html("Reply");
				}
			setTimeout(function(){jQuery("html").animate({scrollTop: jQuery("#comment_form_container").offset().top}, 1000);}, 500);
			return false;
		});

		/************************/
		/* Contact Form Clearer */
		jQuerycontact_name_id = "contact_name";
		jQuery("#"+jQuerycontact_name_id).focus(function(){
			if(jQuery("#"+jQuerycontact_name_id).attr("value") == "Name")
				{jQuery("#"+jQuerycontact_name_id).attr("value", "");}
		});

		jQuery("#"+jQuerycontact_name_id).blur(function(){
			if(jQuery("#"+jQuerycontact_name_id).attr("value") == "")
				{jQuery("#"+jQuerycontact_name_id).attr("value", "Name");}
		});

		jQuerycontact_email_id = "contact_email";
		jQuery("#"+jQuerycontact_email_id).focus(function(){
			if(jQuery("#"+jQuerycontact_email_id).attr("value") == "Email Address")
				{jQuery("#"+jQuerycontact_email_id).attr("value", "");}
		});

		jQuery("#"+jQuerycontact_email_id).blur(function(){
			if(jQuery("#"+jQuerycontact_email_id).attr("value") == "")
				{jQuery("#"+jQuerycontact_email_id).attr("value", "Email Address");}
		});

		jQuerycontact_subject_id = "contact_subject";
		jQuery("#"+jQuerycontact_subject_id).focus(function(){
			if(jQuery("#"+jQuerycontact_subject_id).attr("value") == "Subject")
				{jQuery("#"+jQuerycontact_subject_id).attr("value", "");}
		});

		jQuery("#"+jQuerycontact_subject_id).blur(function(){
			if(jQuery("#"+jQuerycontact_subject_id).attr("value") == "")
				{jQuery("#"+jQuerycontact_subject_id).attr("value", "Subject");}
		});
		jQuerycontact_message_id = "contact_message";
		jQuery("#"+jQuerycontact_message_id).focus(function(){
			if(jQuery("#"+jQuerycontact_message_id).attr("value") == "Your Message")
				{jQuery("#"+jQuerycontact_message_id).attr("value", "");}
		});

		jQuery("#"+jQuerycontact_message_id).blur(function(){
			if(jQuery("#"+jQuerycontact_message_id).attr("value") == "")
				{jQuery("#"+jQuerycontact_message_id).attr("value", "Your Message");}
		});

		jQuery("#contact_form").submit(function(){
			err = "";
			var theForm = document.getElementById("contact_form");
			var e_value = jQuery("#contact_email").attr("value");

			if (jQuery("#contact_name").attr("value") == "" || jQuery("#contact_name").attr("value") == "Name")
				{err = err + "\n - Enter your name.";}
			if(e_value !== "Email Address" && e_value !== "" && e_value.indexOf("@") !== -1 && e_value.indexOf("@.") == -1 && e_value.indexOf("@@") == -1 && ( e_value.indexOf(",") == -1  && e_value.indexOf("/") == -1 && e_value.indexOf("'") == -1 && e_value.indexOf("&") == -1 && e_value.indexOf("%") == -1 ))
				{}
			else
				{err = err + "\n - Enter a valid e-mail address.";}
			if (jQuery("#contact_subject").attr("value") == "" || jQuery("#contact_subject").attr("value") == "Subject")
				{err = err + "\n - Enter a subject title for your message.";}
			if (jQuery("#contact_message").attr("value") == "" || jQuery("#contact_message").attr("value") == "Your Message")
				{err = err + "\n - Enter a message.";}

			if(err !== "")
				{
					err = "Please correct the following: \n" + err;
					alert(err);
					return false
				}
			else
				{return true;}
		});

		/**********************/
		/* Search Form Clearer */
		search_criteria_id = "search_criteria";
		jQuery("#"+search_criteria_id).focus(function(){
			if(jQuery("#"+search_criteria_id).attr("value") == "Search")
				{jQuery("#"+search_criteria_id).attr("value", "");}
		});

		jQuery("#"+search_criteria_id).blur(function(){
			if(jQuery("#"+search_criteria_id).attr("value") == "")
				{jQuery("#"+search_criteria_id).attr("value", "Search");}
		});

		/*************************/
		/* Comments Form Clearer */
		author_id = "author";
		jQuery("#"+author_id).focus(function(){
			if(jQuery("#"+author_id).attr("value") == "Name")
				{jQuery("#"+author_id).attr("value", "");}
		});

		jQuery("#"+author_id).blur(function(){
			if(jQuery("#"+author_id).attr("value") == "")
				{jQuery("#"+author_id).attr("value", "Name");}
		});

		email_id = "email";
		jQuery("#"+email_id).focus(function(){
			if(jQuery("#"+email_id).attr("value") == "EMail Address")
				{jQuery("#"+email_id).attr("value", "");}
		});

		jQuery("#"+email_id).blur(function(){
			if(jQuery("#"+email_id).attr("value") == "")
				{jQuery("#"+email_id).attr("value", "EMail Address");}
		});

		url_id = "url";
		jQuery("#"+url_id).focus(function(){
			if(jQuery("#"+url_id).attr("value") == "Website URL")
				{jQuery("#"+url_id).attr("value", "");}
		});
		jQuery("#"+url_id).blur(function(){
			if(jQuery("#"+url_id).attr("value") == "")
				{jQuery("#"+url_id).attr("value", "Website URL");}
		});

		twitter_id = "twitter";
		jQuery("#"+twitter_id).focus(function(){
			if(jQuery("#"+twitter_id).attr("value") == "Twitter")
				{jQuery("#"+twitter_id).attr("value", "");}
		});
		jQuery("#"+twitter_id).blur(function(){
			if(jQuery("#"+twitter_id).attr("value") == "")
				{jQuery("#"+twitter_id).attr("value", "Twitter");}
		});
	});
/*Form Validation*/
$(function() {
  // Validate the contact form
  $('#contactform').validate({
    // Specify what the errors should look like
    // when they are dynamically added to the form
    errorElement: "label",
    wrapper: "td",
    errorPlacement: function(error, element) {
      error.insertBefore( element.parent().parent() );
      error.wrap("<tr class='error'></tr>");
      $("<td></td>").insertBefore(error);
    },

    // Add requirements to each of the fields
    rules: {
      name: {
        required: true,
        minlength: 2
      },
      email: {
        required: true,
        email: true
      },
      message: {
        required: true,
        minlength: 10
      }
    },

    // Specify what error messages to display
    // when the user does something horrid
    messages: {
      name: {
        required: "Please enter your name.",
        minlength: jQuery.format("At least {0} characters required.")
      },
      email: {
        required: "Please enter your email.",
        email: "Please enter a valid email."
      },
      message: {
        required: "Please enter a message.",
        minlength: jQuery.format("At least {0} characters required.")
      }
    },

    // Use Ajax to send everything to processForm.php
    submitHandler: function(form) {
      $("#send").attr("value", "Sending...");
      $(form).ajaxSubmit({
        target: "#response",
        success: function(responseText, statusText, xhr, $form) {
          $(form).slideUp("fast");
          $("#response").html(responseText).hide().slideDown("fast");
        }
      });
      return false;
    }
  });
});