<?php
	/* Template Name: Archives */
	global $wpdb;	
	//DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts  
	$fetch_archive = $wpdb->get_results("SELECT * FROM " . $wpdb->posts . " WHERE post_status='publish' AND post_type = 'post' GROUP BY $wpdb->posts.ID ORDER BY post_date DESC");
	$last_month = date( "m Y", strtotime( $fetch_archive[0]->post_date ) );

	get_header(); 
?>

<div id="left-column" class="clearfix">
    <div class="post transparent-container">
        <div class="content clearfix">
			<h3 class="post-title use-cufon"><?php the_title(); ?></h3>
            <h4 class="archive_year"><?php echo date( "M Y", strtotime( $fetch_archive[0]->post_date ) ); ?></h4>
            <ul class="archives_list">
                <?php
                    foreach( $fetch_archive as $archive_data ) :
						global $post;
						$post = $archive_data;
                        $args  = array( 'postid' => $post->ID, 'width' => 50, 'height' => 50, 'hide_href' => false, 'imglink' => false, 'exclude_video' => true, 'imgnocontainer' => true, 'resizer' => '50x50' );	
						$image = get_obox_media( $args );
                        $category_id = get_the_category ( $archive_data->ID );
                        $this_category = get_category( $category_id[0]->term_id );
                        $this_category_link = get_category_link( $category_id[0]->term_id );
                        $link = get_permalink( $archive_data->ID );
                        if( date( "m Y", strtotime($archive_data->post_date ) ) !== $last_month ) : ?>
                            </ul>
                            <h4 class="archive_year"><?php echo date( "M Y", strtotime( $archive_data->post_date ) ); ?></h4>
                            <ul class="archives_list">
                        <?php endif; ?>	
                        <li class="clearfix">
							<div class="archive-post-image">
								<?php echo $image; ?>
							</div> 
                            <span class="date">
                                <?php echo date( 'F jS', strtotime( $archive_data->post_date ) ); ?>
                                &nbsp;(<?php echo $archive_data->comment_count; _e(" comments", "ocmx"); ?>)
                            </span>
                            <span class="label">
                                <a href="<?php echo $this_category_link; ?>" title="View all posts in <?php echo $this_category->name; ?>" rel="category tag"><?php echo $this_category->name; ?></a>
                            </span>
                            <a href="<?php echo get_permalink( $archive_data->ID ); ?>"><?php echo substr( $archive_data->post_title, 0, 45 ); ?></a>
                            <a href="<?php echo get_permalink( $archive_data->ID ); ?>/#comments" title="<?php _e("Comment on", "ocmx"); echo get_permalink( $archive_data->post_title ); ?>"></a>
                        </li>
                    <?php $last_month = date( "m Y", strtotime( $archive_data->post_date ) ); ?>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
</div>

<?php get_sidebar(); ?>    

<?php get_footer(); ?>