<?php 
/* Template Name: Blog Page */
get_header(); 
?>

<div id="left-column" class="clearfix">
    <ul class="blog-main-post-container">
    <?php rewind_posts();
       if( get_option("ocmx_home_page_categories") && get_option("ocmx_home_page_categories") !== 0 ):
            $use_catid = get_option("ocmx_home_page_categories");
            $fetch_category = get_category_by_slug( $use_catid );
            $use_category = "cat=".$fetch_category->term_id."&";
        else :
            $use_category = "";
        endif;
        if (is_paged()) :
            $wp_query = new WP_Query( $use_category ."posts_per_page=".get_option("ocmx_home_page_posts")."&paged=".get_query_var('paged') );	
        else :
            $wp_query = new WP_Query( use_category."posts_per_page=".get_option("ocmx_home_page_posts") );
        endif;
        
        if ( $wp_query->have_posts() ) : 
           while ( $wp_query->have_posts() ) : $wp_query->the_post();
                setup_postdata($post);	
                $this_post = get_post($post->ID);
                $show_excerpt = "1";
                include( get_template_directory()."/functions/fetch-list.php" );
            endwhile;
        else: 
            ocmx_no_posts();
        endif; ?>	
    </ul>
    
    <?php ocmx_pagination("page_button_content transparent-container", "clearfix"); ?>
    
</div>

<?php get_sidebar(); ?>

<?php $is_blog = 1;
get_footer(); ?>