<?php
$args  = array( 'postid' => $post->ID, 'width' => 532, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '532' );	
$image = get_obox_media( $args );
$link = get_permalink($post->ID);
$image_class = ""; 
?>
<li id="post-<?php the_ID(); ?>" <?php post_class('post transparent-container'); ?>>
	<div class="content clearfix">
        <h3 class="post-title use-cufon"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
        <h5 class="date post-date">
			<?php if( get_option( "ocmx_meta_author" ) != "false" ) :  //Show the Author link unless unchecked in Theme Options
					_e("By ", "ocmx"); ?> <?php the_author_posts_link(); endif; ?> 
            <?php if( get_option( "ocmx_meta_date" ) != "false") : _e("on ", "ocmx");  //Show the date unless unchecked in Theme Options 
					echo the_time( get_option('date_format') ); endif; ?>
			<?php _e("in ", "ocmx"); the_category(", "); ?>
        </h5>    
        <!--Show the Featured Image or Video -->
        <?php if( $image !="" ) : ?>
            <div class="post-image">
                <?php echo $image; ?>
            </div>
        <?php endif; ?>
        <div class="copy <?php echo $image_class; ?>">
			<?php  the_excerpt(); ?>
			<a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading","ocmx"); ?></a>
        </div>
		
        <?php if( comments_open() && get_option( "ocmx_meta_comments" ) != "false" ) : ?>
            <div class="post-meta">
             	<a href="<?php echo $link; ?>#comments" class="comment-count"><?php comments_number(__('0 Comments','ocmx'), __('1 Comment','ocmx'), __( '% Comments','ocmx') );?></a>
            </div>
        <?php endif; ?>
	</div>
</li>