<?php
$args  = array( 'postid' => $post->ID, 'width' => 532, 'hide_href' => false, 'exclude_video' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '532' );	
$image = get_obox_media( $args );
$link = get_permalink($post->ID); 
?>
<li id="post-<?php the_ID(); ?>" <?php post_class('post transparent-container'); ?>>
    <div class="content clearfix">
        <h3 class="post-title use-cufon"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
        <?php if( !is_page() ) : //Don't show the date if this is a page ?>
	        <h5 class="date post-date">
			<?php if( get_option( "ocmx_meta_author" ) != "false" ) :  //Show the Author link unless unchecked in Theme Options
					_e("By ", "ocmx"); ?> <?php the_author_posts_link(); endif; ?> 
            <?php if( get_option( "ocmx_meta_date" ) != "false" ) : _e("on ", "ocmx");  //Show the date unless unchecked in Theme Options 
					echo the_time( get_option('date_format') ); endif; ?>
            <?php if ( is_single() ): // only for posts...
					_e("in ", "ocmx"); the_category(", "); endif; ?>
            </h5>    
        <?php endif; ?>     
        <!--Show the Featured Image or Video -->       
        <?php if( !is_page() && $image !="" ) : ?>
            <div class="post-image">
                <?php echo $image; ?>
            </div>
        <?php endif; ?>
        <div class="copy ">			
        	<?php the_content(""); ?>
            <?php wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink=page %'); ?>            
        </div>
        <!-- Begin Tags -->
		<?php if( !is_page() && get_option( "ocmx_meta_tags" ) != "false" ) : ?>
            <h5 class="date post-tags">
                <?php _e("Tags:","ocmx"); the_tags('', ', ', ''); ?>
            </h5>
        <?php endif; ?>
         <?php global $show_author;
		 if( isset( $show_author ) && get_option( "ocmx_show_author" ) !== "no" ) : ?>
            <div class="author-box clearfix">
                <?php echo get_avatar( get_the_author_email(), "80" ); ?>
                <div class="author-details">
                    <h4 class="use-cufon">About the Author, <?php the_author_posts_link(); ?></h4>
                    <p><?php the_author_description(); ?></p>
                </div>
            </div>
		<?php endif; ?>
    </div>
</li>