<?php
global $wpdb;
$gallery_id = fetch_linked_ocmx_gallery($post->ID);
$gallery_dtl = fetch_ocmx_gallery($gallery_id);
$upload_dir = wp_upload_dir();
get_header(); ?>
<div class="post transparent-container">
    <div class="content clearfix">
        <h3 class="post-title use-cufon"><?php echo $gallery_dtl[0]->GalleryTitle; ?></h3>
		<?php if($gallery_dtl[0]->GalleryDescription !== "")  : ?>
            <p><?php echo $gallery_dtl[0]->GalleryDescription; ?></p>
        <?php endif; ?>
        <ul class="portfolio-list">
            <?php foreach($gallery_dtl as $gallery_list) :
                $large_image = $upload_dir["baseurl"]."/ocmx-gallery/large/".$gallery_list->Image;
                $this_image = $upload_dir["baseurl"]."/ocmx-gallery/small/".$gallery_list->Image; ?>
                <li>
                    <a href="<?php echo $large_image; ?>" rel="lightbox" class="portfolio-image">
                        <span><img src="<?php echo $this_image; ?>" border="0" alt="<?php echo $gallery_list->Item; ?>" /></span>
                    </a>
                    <h4><?php if($gallery_list->Item !== "") : echo $gallery_list->Item; endif; ?></h4>
                    <?php if($gallery_list->Description !== "NULL" && $gallery_list->Description !== "") : ?>
                        <p><?php echo $gallery_list->Description; ?></p>
                    <?php endif; ?>
                </li>
            <?php 
                $count++;
            endforeach; ?>
        </ul>
	</div>
</div>
<?php 
$is_gallery = 1;
get_footer(); ?>